# Uses of Enum Class
org.apache.sysds.common.Types.OpOpN

Packages that use Types.OpOpN
Package
Description
org.apache.sysds.common
org.apache.sysds.hops
org.apache.sysds.hops.rewrite
org.apache.sysds.lops

## Uses of Types.OpOpN in org.apache.sysds.common

Methods in org.apache.sysds.common that return Types.OpOpN
Modifier and Type
Method
Description
`static Types.OpOpN`
Types.OpOpN.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Types.OpOpN[]`
Types.OpOpN.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

## Uses of Types.OpOpN in org.apache.sysds.hops

Methods in org.apache.sysds.hops that return Types.OpOpN
Modifier and Type
Method
Description
`Types.OpOpN`
NaryOp.`getOp()`
Constructors in org.apache.sysds.hops with parameters of type Types.OpOpN
Modifier
Constructor
Description
``
`NaryOp(String name, Types.DataType dataType, Types.ValueType valueType, Types.OpOpN op, Hop... inputs)`
NaryOp constructor.

## Uses of Types.OpOpN in org.apache.sysds.hops.rewrite

Methods in org.apache.sysds.hops.rewrite with parameters of type Types.OpOpN
Modifier and Type
Method
Description
`static NaryOp`
HopRewriteUtils.`createNary(Types.OpOpN op, Hop... inputs)`
`static boolean`
HopRewriteUtils.`isNary(Hop hop, Types.OpOpN type)`
`static boolean`
HopRewriteUtils.`isNary(Hop hop, Types.OpOpN... types)`

## Uses of Types.OpOpN in org.apache.sysds.lops

Methods in org.apache.sysds.lops that return Types.OpOpN
Modifier and Type
Method
Description
`Types.OpOpN`
Nary.`getOp()`
Constructors in org.apache.sysds.lops with parameters of type Types.OpOpN
Modifier
Constructor
Description
``
`Nary(Types.OpOpN operationType, Types.DataType dt, Types.ValueType vt, Lop[] inputLops, Types.ExecType et)`